%global forgeurl https://github.com/PREDICT-EPFL/piqp
Version:        0.2.4
%forgemeta

Name:           piqp
Release:        %autorelease
Summary:        An Proximal Interior Point Quadratic Programming solver
License:        BSD-2-Clause
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch0:         piqp-use-system-deps.patch
Patch1:         piqp-fix-c-interface.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  eigen3-devel

BuildRequires:  python3-devel

%description
PIQP is a Proximal Interior Point Quadratic Programming solver, which can solve
dense and sparse quadratic programs.

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%package        c
Summary:        C library for %{name}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

%description    c
The %{name}-devel package contains C library for %{name}.

%package        c-devel
Summary:        Development files for %{name}-c
Requires:       %{name}-c%{?_isa} = %{version}-%{release}

%description    c-devel
The %{name}-devel package contains development files for %{name}-c.

%package -n     python3-%{name}
Summary:        Python3 binding for %{name}
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}

%description -n python3-%{name}
The %{name}-devel package contains Python3 binding for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DBUILD_PYTHON_INTERFACE=ON \

%cmake_build

%install
%cmake_install

%check
%ctest --test-dir %{_vpath_builddir}/tests

%files devel
%license
%doc README.md
%{_includedir}/piqp/
%{_libdir}/cmake/piqp/

%files c
%{_libdir}/libpiqpc.so.0*

%files c-devel
%{_includedir}/piqp_c/
%{_libdir}/libpiqpc.so

%files -n python3-%{name}


%changelog
%autochangelog
